unit About;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ShellAPI;

type
  TAboutForm = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    Image2: TImage;
    Button1: TButton;
    Label2: TLabel;
    procedure Label1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label1Click(Sender: TObject);
    procedure Image2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image2MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Label2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

implementation

{$R *.DFM}

procedure TAboutForm.Label1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
     Cursor := crHandPoint;
end;

procedure TAboutForm.Image1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
     Cursor := crDefault;
end;

procedure TAboutForm.Label1Click(Sender: TObject);
begin
     ShellExecute(handle, nil, pchar('mailto:xhq@writeme.com'), nil, nil, SW_SHOWNORMAL);
end;

procedure TAboutForm.Image2MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
     if Button = mbLeft then
     begin
          Image2.Picture := nil;
          Image2.Picture.Bitmap.LoadFromResourceID(hInstance, 124);
     end;
end;

procedure TAboutForm.Image2MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
     if Button = mbLeft then
     begin
          Image2.Picture := nil;
          Image2.Picture.Bitmap.LoadFromResourceID(hInstance, 123);
     end;
end;

procedure TAboutForm.Image2Click(Sender: TObject);
begin
     Button1.Click;
end;

procedure TAboutForm.FormCreate(Sender: TObject);
begin
     Image1.Picture.Bitmap.LoadFromResourceID(hInstance, 128);
     Image2.Picture.Bitmap.LoadFromResourceID(hInstance, 123);
     Width := Image1.Picture.Width;
     Height := Image1.Picture.Height;
     Label1.Top := 100;
     Label1.Left := (Width - Label1.Width) div 2;
     Label2.Top := 80;
     Label2.Left := (Width - Label2.Width) div 2;
     Image2.Top := 128;
     Image2.Left := (Width - Image2.Width) div 2;;
end;

procedure TAboutForm.Label2Click(Sender: TObject);
begin
     ShellExecute(handle, nil, pchar('http://friendsoft.yeah.net'), nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TAboutForm.Label2MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
     Cursor := crHandPoint;
end;

end.
